summaryrefslogtreecommitdiff
path: root/dev-python/xmlschema/xmlschema-4.3.1.ebuild
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/xmlschema/xmlschema-4.3.1.ebuild
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/xmlschema/xmlschema-4.3.1.ebuild')
-rw-r--r--dev-python/xmlschema/xmlschema-4.3.1.ebuild38
1 files changed, 38 insertions, 0 deletions
diff --git a/dev-python/xmlschema/xmlschema-4.3.1.ebuild b/dev-python/xmlschema/xmlschema-4.3.1.ebuild
new file mode 100644
index 000000000000..c39b6e5cfb8f
--- /dev/null
+++ b/dev-python/xmlschema/xmlschema-4.3.1.ebuild
@@ -0,0 +1,38 @@
+# Copyright 2019-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An XML Schema validator and decoder"
+HOMEPAGE="
+ https://github.com/sissaschool/xmlschema/
+ https://pypi.org/project/xmlschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+IUSE="test"
+RESTRICT="!test? ( test )"
+
+RDEPEND="
+ <dev-python/elementpath-6[${PYTHON_USEDEP}]
+ >=dev-python/elementpath-5.1.0[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ >=dev-python/setuptools-77[${PYTHON_USEDEP}]
+ test? (
+ ${RDEPEND}
+ dev-python/jinja2[${PYTHON_USEDEP}]
+ dev-python/lxml[${PYTHON_USEDEP}]
+ )
+"
+
+python_test() {
+ "${EPYTHON}" tests/run_all_tests.py -v || die "Tests fail with ${EPYTHON}"
+}